// Hacked together by Joshua Wood, Jan 2009, from the following parts: 
// Big thanks to vitalyb for his FARR C# SDK: http://www.donationcoder.com/Forums/bb/index.php?topic=10992.0
// System Tray enumeration code (slightly modified) from Karl Wagner: http://www.aeroxp.org/2008/06/tutorial-how-to-work-with-the-system-tray-from-net/
// Big thanks to skajfes and mouser on donationcoder.com forums for their help
// Additional extras\coding by Joshua Wood
// Discussion forum here: http://www.donationcoder.com/Forums/bb/index.php?topic=16635.0


using FARRCSharpSDK;
using FARRTunes.Lists;
using System.Runtime.InteropServices;
using FARRPlugin;
using System.Collections.Generic;

namespace FARRTunes
{
    public class FARRTray : FARRCSharpPluginBase
    {
        protected override void SetGeneralInfoParameters(ref string displayName, ref string versionString, ref string releaseDateString,
                                                         ref string author, ref string homepageURL, ref string updateURL,
                                                         ref string shortDescription, ref string longDescription, ref string advConfigString,
                                                         ref string readMeString, ref string iconFilename)
        {
            displayName = "FARRTray plugin";
            versionString = GetValueFromDCUpdate(EDCUpdateValues.Version);
            releaseDateString = "Jan 2009";
            author = "Joshua Wood (C# SDK framework by Vitaly Belman)";
            homepageURL = GetValueFromDCUpdate(EDCUpdateValues.WebPage);
            updateURL = GetValueFromDCUpdate(EDCUpdateValues.UpdateFile);            
            shortDescription = "Access System Tray Apps using FARR";
            longDescription = "For thanks and credits see:\nhttp://www.donationcoder.com/Forums/bb/index.php?topic=16635.0";
            iconFilename = "farrtunes.ico";
        }

        public FARRTray()
            : base(typeof(FARRTrayList))
        {
        }
    }
}










   